<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class DBWorkFeedBackRetourDetails2 extends DBWorkFeedBackRetourDetails
{
  
  public function __construct($pNewInstance = false)
  {
    parent::__construct(1, $pNewInstance); 

    if (!DBWorkFeedBackRetour2::canBeUsed($this->dboperation)) {
      $this->dboperation->throwCriticalError(self::class . ' kann nur im MySQL/Replikatsbetrieb verwendet werden! Eventuell müssen Tabellen für Feedback erst im Replkikat erzeugt werden (Siehe Web-Admin unter Funktionen / MySQL Struktur / Struktur aktualisieren).');
    }
  }

  public function getNewObject()
  {
    return new \FeedBackRetourDetails2();
  }

  public function getTableName(): string
  {
    return 'feedbackretourdetails2';
  }

  
  public function insertFeedBackDetailsRetour($pFeedBackRetourDetails)
  {
    $pFeedBackRetourDetails->id = $this->insertRecord($this->getTableName(), 'id', 'erfasstvon');

    $originalEintrag = new FeedBackRetourDetails();
    $originalEintrag->id = $pFeedBackRetourDetails->id;

    $this->updateObject($pFeedBackRetourDetails, $originalEintrag, $this->getTableName(), 'id', 'U', true);

    return $pFeedBackRetourDetails;
  }
}